scala.tools.nsc.util

# ShowPickled

#### object ShowPickled extends Names

Source
  ShowPickled.scala

Linear Supertypes
Names, Names, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ShowPickled
2. Names
3. Names
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### sealed abstract class Name extends reflect.internal.Names.NameApi

   Definition Classes
     Names

2. #### abstract class NameApi extends AnyRef

   Definition Classes
     Names

3. #### final class NameOps[T <: Name] extends AnyRef

   Definition Classes
     Names

4. #### case class PickleBufferEntry(num: Int, startIndex: Int, tag: Int, bytes: Array[Byte]) extends Product with Serializable

5. #### case class PickleBufferEntryList(entries: IndexedSeq[PickleBufferEntry]) extends Product with Serializable

6. #### sealed abstract class TermName extends Name with reflect.internal.Names.TermNameApi

   Definition Classes
     Names

7. #### trait TermNameApi extends AnyRef

   Definition Classes
     Names

8. #### abstract class TermNameExtractor extends AnyRef

   Definition Classes
     Names

9. #### sealed abstract class TypeName extends Name with reflect.internal.Names.TypeNameApi

   Definition Classes
     Names

10. #### trait TypeNameApi extends AnyRef

    Definition Classes
      Names

11. #### abstract class TypeNameExtractor extends AnyRef

    Definition Classes
      Names

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### implicit def AnyNameOps(name: Name): NameOps[Name]

   Definition Classes
     Names

5. #### implicit val NameTag: ClassTag[Name]

   Definition Classes
     Names

6. #### object TermName extends reflect.internal.Names.TermNameExtractor

   Definition Classes
     Names → Names

7. #### implicit def TermNameOps(name: TermName): NameOps[TermName]

   Definition Classes
     Names

8. #### implicit val TermNameTag: ClassTag[TermName]

   Definition Classes
     Names

9. #### object TypeName extends reflect.internal.Names.TypeNameExtractor

   Definition Classes
     Names → Names

10. #### implicit def TypeNameOps(name: TypeName): NameOps[TypeName]

    Definition Classes
      Names

11. #### implicit val TypeNameTag: ClassTag[TypeName]

    Definition Classes
      Names

12. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

13. #### var chrs: Array[Char]

    Definition Classes
      Names

14. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def fromBytes(data: ⇒ Array[Byte]): Option[PickleBuffer]

19. #### def fromFile(path: String): Option[PickleBuffer]

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def lookupTypeName(cs: Array[Char]): TypeName

    Definition Classes
      Names

24. #### def main(args: Array[String]): Unit

25. #### def makeEntryList(buf: PickleBuffer, index: Array[Int]): PickleBufferEntryList

26. #### final val nameDebug: Boolean(false)

    Definition Classes
      Names

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def newTermName(bs: Array[Byte], offset: Int, len: Int): TermName

    Definition Classes
      Names

29. #### def newTermName(s: String): TermName

    Definition Classes
      Names → Names
    Annotations
      @deprecatedOverriding( ... , "2.11.0" )

30. #### final def newTermName(cs: Array[Char], offset: Int, len0: Int, cachedString: String): TermName

    Definition Classes
      Names

31. #### final def newTermName(cs: Array[Char]): TermName

    Definition Classes
      Names

32. #### final def newTermName(cs: Array[Char], offset: Int, len: Int): TermName

    Definition Classes
      Names

33. #### final def newTermNameCached(s: String): TermName

    Definition Classes
      Names

34. #### final def newTypeName(bs: Array[Byte], offset: Int, len: Int): TypeName

    Definition Classes
      Names

35. #### final def newTypeName(cs: Array[Char], offset: Int, len: Int): TypeName

    Definition Classes
      Names

36. #### def newTypeName(s: String): TypeName

    Definition Classes
      Names → Names
    Annotations
      @deprecatedOverriding( ... , "2.11.0" )

37. #### final def newTypeName(cs: Array[Char], offset: Int, len: Int, cachedString: String): TypeName

    Definition Classes
      Names

38. #### final def newTypeName(cs: Array[Char]): TypeName

    Definition Classes
      Names

39. #### final def newTypeNameCached(s: String): TypeName

    Definition Classes
      Names

40. #### final def notify(): Unit

    Definition Classes
      AnyRef

41. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

42. #### def printFile(buf: PickleBuffer, out: PrintStream): Unit

43. #### def readNat(data: Array[Byte], index: Int): Int

    Extremely regrettably, essentially copied from PickleBuffer.

44. #### def show(what: String, pickle: PickleBuffer): Unit

45. #### def synchronizeNames: Boolean

    Attributes
      protected
    Definition Classes
      Names

46. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

47. #### def tag2string(tag: Int): String

48. #### def toString(): String

    Definition Classes
      AnyRef → Any

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1. #### implicit def stringToTermName(s: String): TermName

   Definition Classes
     Names
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use explicit `TermName(s)` instead

2. #### implicit def stringToTypeName(s: String): TypeName

   Definition Classes
     Names
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use explicit `TypeName(s)` instead

### Inherited from Names

### Inherited from AnyRef

### Inherited from Any

### Ungrouped